//
//  DetailsViewController.m
//  FoodAddict
//
//  Created by Ngo Anh Hoang on 4/8/13.
//  Copyright (c) 2013 HoangNA. All rights reserved.
//

#import "DetailsViewController.h"
#import "DataManager.h"
@interface DetailsViewController ()

@end

@implementation DetailsViewController

- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil
{
    self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil];
    if (self) {
        // Custom initialization
    }
    return self;
}

- (void)viewDidLoad
{
    [super viewDidLoad];
    // Do any additional setup after loading the view from its nib.
    DataManager *dataManager = [DataManager sharedManager];
    self.detailsName.text = [NSString stringWithFormat:@"%@", dataManager.foodName];
    self.detailsContent.text = [NSString stringWithFormat:@"%@", dataManager.foodDescription];
    self.detailsImage.image = [UIImage imageNamed:[NSString stringWithFormat:@"%@", dataManager.foodImage]];
    
    if(self.detailsImage.image)
        NSLog(@"Img name: %@", dataManager.foodImage);
    else
        NSLog(@"Img not found");
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

@end
